
From: Brice Goglin <Brice.Goglin@ens-lyon.org>

Adding HV_INT_ENABLE to outw in snd_m3_enable_ints (in sound/pci/maestro3.c)
makes it generate a divide error on my laptop.

See http://lkml.org/lkml/2005/6/21/167

Signed-off-by: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: Jaroslav Kysela <perex@suse.cz>
Cc: Takashi Iwai <tiwai@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/pci/maestro3.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/pci/maestro3.c~alsa-maestro3-div-by-zero-fix sound/pci/maestro3.c
--- 25/sound/pci/maestro3.c~alsa-maestro3-div-by-zero-fix	2005-06-25 01:16:11.000000000 -0700
+++ 25-akpm/sound/pci/maestro3.c	2005-06-25 02:05:50.000000000 -0700
@@ -2527,7 +2527,7 @@ snd_m3_enable_ints(m3_t *chip)
 	unsigned long io = chip->iobase;
 
 	/* TODO: MPU401 not supported yet */
-	outw(ASSP_INT_ENABLE | HV_INT_ENABLE /*| MPU401_INT_ENABLE*/, io + HOST_INT_CTRL);
+	outw(ASSP_INT_ENABLE /*| MPU401_INT_ENABLE*/, io + HOST_INT_CTRL);
 	outb(inb(io + ASSP_CONTROL_C) | ASSP_HOST_INT_ENABLE,
 	     io + ASSP_CONTROL_C);
 }
_
